For the complete documentation index, see llms.txt. This page is also available as Markdown.

Planned Maintenances

Schedule and update planned maintenance windows on a status page.

Get ongoing planned maintenances

get

Get a list of ongoing maintenances

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Responses
200

Successful response

application/json
successbooleanOptional
dataobject[]Optional
get/api/status-page/{status_page_id}/planned-maintenance
GET /api/status-page/{status_page_id}/planned-maintenance HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Accept: */*
{
  "success": true,
  "data": [
    {
      "_id": "66c1d2e3f4a5b60718293a4e",
      "title": "Database maintenance",
      "status": "in_progress",
      "components": [
        "66c1d2e3f4a5b60718293a4c"
      ],
      "scheduledStart": "2026-04-02T02:00:00.000Z",
      "scheduledEnd": "2026-04-02T04:00:00.000Z",
      "statusPage": "66c1d2e3f4a5b60718293a4b"
    }
  ]
}

Get upcoming planned maintenances

get

Get a list of upcoming maintenances

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Responses
200

Successful response

application/json
successbooleanOptional
dataobject[]Optional
get/api/status-page/{status_page_id}/planned-maintenance/upcoming
GET /api/status-page/{status_page_id}/planned-maintenance/upcoming HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Accept: */*
{
  "success": true,
  "data": [
    {
      "_id": "66c1d2e3f4a5b60718293a4e",
      "title": "Database maintenance",
      "status": "scheduled",
      "components": [
        "66c1d2e3f4a5b60718293a4c"
      ],
      "scheduledStart": "2026-04-02T02:00:00.000Z",
      "scheduledEnd": "2026-04-02T04:00:00.000Z",
      "statusPage": "66c1d2e3f4a5b60718293a4b"
    }
  ]
}

Get a list of previous maintenances

get

Get a list of all the previous maintenanecs

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Responses
200

Successful response

application/json
successbooleanOptional
dataobject[]Optional
get/api/status-page/{status_page_id}/planned-maintenance/previous
GET /api/status-page/{status_page_id}/planned-maintenance/previous HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Accept: */*
{
  "success": true,
  "data": [
    {
      "_id": "66c1d2e3f4a5b60718293a4e",
      "title": "Database maintenance",
      "status": "completed",
      "components": [
        "66c1d2e3f4a5b60718293a4c"
      ],
      "scheduledStart": "2026-04-02T02:00:00.000Z",
      "scheduledEnd": "2026-04-02T04:00:00.000Z",
      "statusPage": "66c1d2e3f4a5b60718293a4b"
    }
  ]
}

Get a planned maintenance

get

Get a planned maintenance

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

pm_idstringRequired

pm_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Responses
200

Successful response

application/json
successbooleanOptional
dataobjectOptional
get/api/status-page/{status_page_id}/planned-maintenance/{pm_id}
GET /api/status-page/{status_page_id}/planned-maintenance/{pm_id} HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Accept: */*
{
  "success": true,
  "data": {
    "_id": "66c1d2e3f4a5b60718293a4e",
    "title": "Database maintenance",
    "status": "scheduled",
    "components": [
      "66c1d2e3f4a5b60718293a4c"
    ],
    "scheduledStart": "2026-04-02T02:00:00.000Z",
    "scheduledEnd": "2026-04-02T04:00:00.000Z",
    "statusPage": "66c1d2e3f4a5b60718293a4b"
  }
}

Create a new planned maintenance

post

Create a new planned maintenance

{
	"title": "planned maintenance title",
	"desc": "Write a message to your subscribers.",
	"startDate": "10/03/2023",
	"endDate": "13/03/2023",
	"startTime": "10:00",
	"endTime": "05:00",
	"notify": true,
	"components": ["{{ _.component_id }}"],
	"notifyNow": true,
	"notifyOnEnd": true,
	"reminders": [
		{
			"time": 2,
			"unit": "days"
		}
	]
}

* ALL THE TIMESTAMPS SHOULD BE IN UTC

Params:

title: Title of the planned maintenanace

desc: Write a message to your subscribers.

startDate: Start date is mandatory. Strict form is DD/MM/YYYY.

endDate: End date is mandatory. Strict form is DD/MM/YYYY.

startTime: Start time format is HH:MM in 24-hour format. Please do not add AM or PM.

endTime: End time format is HH:MM in 24-hour format. Please do not add AM or PM.

notify: You can specify to notify the subscribers about the planned maintenance when planned maintenance starts. Type: Boolean

components: Components is the array of component ids which are going into planned maintenance.

notifyNow: Send a notification to you subscribers about planned maintenance schedule. Type: Boolean

notifyOnEnd: Send a notification on the end of planned maintenance. Type: Boolean

reminders: You can provide a list of reminders that will be sent before the planned maintenance starts. you can choose to send reminder days, hours or minutes before planned maintenance starts. all the units have a max limit of 30 days.

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Body
titlestringOptional
descstringOptional
startDatestringOptional
endDatestringOptional
startTimestringOptional
endTimestringOptional
notifybooleanOptional
componentsstring[]Optional
notifyNowbooleanOptional
notifyOnEndbooleanOptional
Responses
200

Successful response

application/json
successbooleanOptional
dataobjectOptional
post/api/status-page/{status_page_id}/planned-maintenance/create
POST /api/status-page/{status_page_id}/planned-maintenance/create HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 291

{
  "title": "planned maintenance title edited",
  "desc": "description of the maintenance",
  "startDate": "10/03/2023",
  "endDate": "13/03/2023",
  "startTime": "10:00",
  "endTime": "05:00",
  "notify": true,
  "components": [
    "<component-id>"
  ],
  "notifyNow": true,
  "notifyOnEnd": true,
  "reminders": [
    {
      "time": 2,
      "unit": "days"
    }
  ]
}
{
  "success": true,
  "data": {
    "_id": "66c1d2e3f4a5b60718293a4e",
    "title": "Database maintenance",
    "status": "scheduled",
    "components": [
      "66c1d2e3f4a5b60718293a4c"
    ],
    "scheduledStart": "2026-04-02T02:00:00.000Z",
    "scheduledEnd": "2026-04-02T04:00:00.000Z",
    "statusPage": "66c1d2e3f4a5b60718293a4b"
  }
}

Edit a planned maintenance

post

Edit a planned maintenance

{
	"title": "planned maintenance title",
	"desc": "Write a message to your subscribers.",
	"startDate": "10/03/2023",
	"endDate": "13/03/2023",
	"startTime": "10:00",
	"endTime": "05:00",
	"notify": true,
	"components": ["{{ _.component_id }}"],
	"notifyNow": true,
	"notifyOnEnd": true,
	"reminders": [
			{
					"time": 2,
					"unit": "days"
			}
	]
}

* ALL THE TIMESTAMPS SHOULD BE IN UTC

Params:

title: Title of the planned maintenanace

desc: Write a message to your subscribers.

startDate: Start date is mandatory. Strict form is DD/MM/YYYY.

endDate: End date is mandatory. Strict form is DD/MM/YYYY.

startTime: Start time format is HH:MM in 24-hour format. Please do not add AM or PM.

endTime: End time format is HH:MM in 24-hour format. Please do not add AM or PM.

notify: You can specify to notify the subscribers about the planned maintenance when planned maintenance starts. Type: Boolean

components: Components is the array of component ids which are going into planned maintenance.

notifyNow: Send a notification to you subscribers about planned maintenance schedule. Type: Boolean

notifyOnEnd: Send a notification on the end of planned maintenance. Type: Boolean

reminders: You can provide a list of reminders that will be sent before the planned maintenance starts. you can choose to send reminder days, hours or minutes before planned maintenance starts. all the units have a max limit of 30 days.

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

pm_idstringRequired

pm_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Body
titlestringOptional
descstringOptional
startDatestringOptional
endDatestringOptional
startTimestringOptional
endTimestringOptional
notifybooleanOptional
componentsstring[]Optional
notifyNowbooleanOptional
notifyOnEndbooleanOptional
Responses
200

Successful response

application/json
successbooleanOptional
dataobjectOptional
post/api/status-page/{status_page_id}/planned-maintenance/{pm_id}/update
POST /api/status-page/{status_page_id}/planned-maintenance/{pm_id}/update HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 293

{
  "title": "planned maintenance edited title 2",
  "desc": "description of the maintenance",
  "startDate": "12/03/2023",
  "endDate": "15/03/2023",
  "startTime": "10:00",
  "endTime": "05:00",
  "notify": true,
  "components": [
    "<component-id>"
  ],
  "notifyNow": true,
  "notifyOnEnd": true,
  "reminders": [
    {
      "time": 2,
      "unit": "days"
    }
  ]
}
{
  "success": true,
  "data": {
    "_id": "66c1d2e3f4a5b60718293a4e",
    "title": "Database maintenance (rescheduled)",
    "status": "scheduled",
    "components": [
      "66c1d2e3f4a5b60718293a4c"
    ],
    "scheduledStart": "2026-04-02T02:00:00.000Z",
    "scheduledEnd": "2026-04-02T04:00:00.000Z",
    "statusPage": "66c1d2e3f4a5b60718293a4b"
  }
}

Last updated